/*
 * MatrixUnitTest.hpp
 *
 *  Created on: Mar 3, 2010
 *      Author: metzler
 */

#include <cppunit/extensions/HelperMacros.h>
#include "Matrix.hpp"

class MatrixUnitTest :  public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( MatrixUnitTest ) ;
  CPPUNIT_TEST ( setAndGetHeaderTest );
  CPPUNIT_TEST ( assignAndGetValuesTest );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void setAndGetHeaderTest();
  void assignAndGetValuesTest();

private:
  Matrix* testMatrix;
};
